<template>
  <view>
    <view class="newsTab">
      <view class="content">
        <view>
          <!-- 基于 uni-list 的页面布局 -->
          <uni-list>
            <!-- to 属性携带参数跳转详情页面，当前只为参考 -->
            <uni-list-item style="margin-top: 10px;background-color:#EFEFF4;border-radius: 5px;"
                           class="list-item" direction="column" v-for="item in data" :key="item.id"
                           :to="'Add?id='+item.id+'&itemOutNo='+item.itemOutNo">
              <!-- 通过header插槽定义列表的标题 -->
              <template v-slot:header>
                <view class="form-group uni-title" style="margin-bottom: 0;">
                  <label class="form-label">出库单号:</label>
                  <input class="form-input" disabled="true" type="text" v-model="item.itemOutNo"/>
                </view>
              </template>
              <!-- 通过body插槽定义列表内容显示 -->
              <template v-slot:body>
                <view style="margin-top: 0;">
                  <view class="uni-content">
                    <view class="uni-note">
                      <view class="form-group">
                        <checkbox-group style="background-color: white;border-bottom: 1px solid #c7c7c7;">
                          <label>
                            <checkbox value="STATUS" disabled="true" :checked="item.status == 1"/>
                            已审核
                          </label>
                          <label>
                            <checkbox value="STATUS" disabled="true" :checked="item.fType == 1"/>
                            委外退货
                          </label>
                        </checkbox-group>
                      </view>
                    </view>
                    <view class="uni-note">
                      <view class="form-group">
                        <label class="form-label lab">供应商编号:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.suppNo"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label">供应商名称:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.suppName"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label lab">退料仓库:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.depotName"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label lab">退货原因:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.reason"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label lab">创建时间:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.createDate"/>
                      </view>
                    </view>
                    <view class="uni-note">
                      <view class="form-group">
                        <label class="form-label lab">创建人员:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.createByFname"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label lab">审核日期:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.checkDate"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label lab">审核人:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.checkUserFname"/>
                      </view>
                    </view>
                    <view class="uni-title-sub uni-ellipsis-2">
                      <view class="form-group">
                        <label class="form-label">备注:</label>
                        <input class="form-input" disabled="true" type="text" v-model="item.remark"/>
                      </view>
                    </view>
                  </view>
                </view>
              </template>
            </uni-list-item>
          </uni-list>
        </view>

        <view class="plus-button" @click="handleFabClick">
          +
        </view>
      </view>
    </view>


  </view>
</template>

<script>
export default {
  components: {},
  data() {
    return {
      data: [],
      tipShow: false // 是否显示顶部提示框
    };
  },
  onLoad() {
    //页面加载时调用的事件
    this.init();
  },
  methods: {
    init() {
      //页面加载时调用的事件
      this.$post({
        url: "/MesInvItemOuts/GetPage",
        data: {
          PageIndex: 1,
          Limit: 20
        },
      }).then(res => {
        this.data = res.data.tbBillList;
      })
    },
    handleFabClick() {
      uni.navigateTo({
        url: 'Add?id'
      });
    },
  },
  onShow() {
    //每次进入页面都会执行的方法
    this.init();
  }
};
</script>

<style lang="scss">
.uni-note {
  margin-top: 0;
}

/* Set the input backgrounds to be gray */
.form-input {
  background-color: #f2f2f2; /* Or any other shade of gray you prefer */
}

/* Ensure automatic adaptation based on page size */
.form-group {
  display: flex;
  align-items: center;
}

.form-label {
  margin-bottom: 0;
  border-bottom: 1px solid #FFFFFF;
  padding: 5px;
  font-size: 12px;
  width: 80px;
  /* Adjust the font size as per your requirement */
}

.form-input {
  flex: 1;
  margin-bottom: 0;
  border-bottom: 1px solid #c7c7c7;
  padding: 5px;
  font-size: 12px;
  background-color: #FFFFFF;
  /* Adjust the font size as per your requirement */
}

.plus-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: #007bff;
  color: #ffffff;
  text-align: center;
  line-height: 59px;
  font-size: 24px;
  cursor: pointer;
  z-index: 1000;
  margin-bottom: 35px;
}

page {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  background-color: #efeff4;
  min-height: 100%;
  height: auto;
}

.tips {
  color: #67c23a;
  font-size: 14px;
  line-height: 40px;
  text-align: center;
  background-color: #f0f9eb;
  height: 0;
  opacity: 0;
  transform: translateY(-100%);
  transition: all 0.3s;
}

.tips-ani {
  transform: translateY(0);
  height: 40px;
  opacity: 1;
}

.content {
  width: 100%;
}

.list-picture {
  width: 100%;
  height: 145px;
}

.thumb-image {
  width: 100%;
  height: 100%;
}

.ellipsis {
  display: flex;
  overflow: hidden;
}

.uni-ellipsis-1 {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.uni-ellipsis-2 {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

checkbox-group > label {
  margin-right: 11.5px
}


.plus-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: #007bff;
  color: #ffffff;
  text-align: center;
  line-height: 59px;
  font-size: 24px;
  cursor: pointer;
  z-index: 1000;
  margin-bottom: 35px;
}
</style>